subversion-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From julianf...@apache.org
Subject svn commit: r1848663 - /subversion/site/tools/haxx-url-to-message-id.sh
Date Tue, 11 Dec 2018 10:07:42 GMT
Author: julianfoad
Date: Tue Dec 11 10:07:42 2018
New Revision: 1848663

URL: http://svn.apache.org/viewvc?rev=1848663&view=rev
Log:
* tools/haxx-url-to-message-id.sh: Set 'exit on errors' flag.

Modified:
    subversion/site/tools/haxx-url-to-message-id.sh

Modified: subversion/site/tools/haxx-url-to-message-id.sh
URL: http://svn.apache.org/viewvc/subversion/site/tools/haxx-url-to-message-id.sh?rev=1848663&r1=1848662&r2=1848663&view=diff
==============================================================================
--- subversion/site/tools/haxx-url-to-message-id.sh (original)
+++ subversion/site/tools/haxx-url-to-message-id.sh Tue Dec 11 10:07:42 2018
@@ -12,6 +12,7 @@
 #
 # Note that '@' was transformed to '_at_', so we reverse that.
 #
+set -e
 echo "# Message-ids of archived emails that are referenced by a svn.haxx.se URL."
 echo "# Generated by $0 on `date +%Y-%m-%d`"
 grep -hERo 'https?://svn.haxx.se/[a-z0-9-]*/archive-[0-9-]*/[0-9]*\.shtml' "$@" | sort |
uniq | while read -r u; do



Mime
View raw message